package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsMerLedgerReceiverExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsMerLedgerReceiverExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNull() {
            addCriterion("mer_id is null");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNotNull() {
            addCriterion("mer_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerIdEqualTo(Long value) {
            addCriterion("mer_id =", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotEqualTo(Long value) {
            addCriterion("mer_id <>", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThan(Long value) {
            addCriterion("mer_id >", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_id >=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThan(Long value) {
            addCriterion("mer_id <", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_id <=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdIn(List<Long> values) {
            addCriterion("mer_id in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotIn(List<Long> values) {
            addCriterion("mer_id not in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdBetween(Long value1, Long value2) {
            addCriterion("mer_id between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_id not between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdIsNull() {
            addCriterion("mer_ledger_id is null");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdIsNotNull() {
            addCriterion("mer_ledger_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdEqualTo(Long value) {
            addCriterion("mer_ledger_id =", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdNotEqualTo(Long value) {
            addCriterion("mer_ledger_id <>", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdGreaterThan(Long value) {
            addCriterion("mer_ledger_id >", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_ledger_id >=", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdLessThan(Long value) {
            addCriterion("mer_ledger_id <", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_ledger_id <=", value, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdIn(List<Long> values) {
            addCriterion("mer_ledger_id in", values, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdNotIn(List<Long> values) {
            addCriterion("mer_ledger_id not in", values, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdBetween(Long value1, Long value2) {
            addCriterion("mer_ledger_id between", value1, value2, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andMerLedgerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_ledger_id not between", value1, value2, "merLedgerId");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNull() {
            addCriterion("platform_type is null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNotNull() {
            addCriterion("platform_type is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeEqualTo(Integer value) {
            addCriterion("platform_type =", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotEqualTo(Integer value) {
            addCriterion("platform_type <>", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThan(Integer value) {
            addCriterion("platform_type >", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("platform_type >=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThan(Integer value) {
            addCriterion("platform_type <", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThanOrEqualTo(Integer value) {
            addCriterion("platform_type <=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIn(List<Integer> values) {
            addCriterion("platform_type in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotIn(List<Integer> values) {
            addCriterion("platform_type not in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeBetween(Integer value1, Integer value2) {
            addCriterion("platform_type between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("platform_type not between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIsNull() {
            addCriterion("platform_no is null");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIsNotNull() {
            addCriterion("platform_no is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformNoEqualTo(String value) {
            addCriterion("platform_no =", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotEqualTo(String value) {
            addCriterion("platform_no <>", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoGreaterThan(String value) {
            addCriterion("platform_no >", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoGreaterThanOrEqualTo(String value) {
            addCriterion("platform_no >=", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLessThan(String value) {
            addCriterion("platform_no <", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLessThanOrEqualTo(String value) {
            addCriterion("platform_no <=", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLike(String value) {
            addCriterion("platform_no like", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotLike(String value) {
            addCriterion("platform_no not like", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIn(List<String> values) {
            addCriterion("platform_no in", values, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotIn(List<String> values) {
            addCriterion("platform_no not in", values, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoBetween(String value1, String value2) {
            addCriterion("platform_no between", value1, value2, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotBetween(String value1, String value2) {
            addCriterion("platform_no not between", value1, value2, "platformNo");
            return (Criteria) this;
        }

        public Criteria andCupNoIsNull() {
            addCriterion("cup_no is null");
            return (Criteria) this;
        }

        public Criteria andCupNoIsNotNull() {
            addCriterion("cup_no is not null");
            return (Criteria) this;
        }

        public Criteria andCupNoEqualTo(String value) {
            addCriterion("cup_no =", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotEqualTo(String value) {
            addCriterion("cup_no <>", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoGreaterThan(String value) {
            addCriterion("cup_no >", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoGreaterThanOrEqualTo(String value) {
            addCriterion("cup_no >=", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLessThan(String value) {
            addCriterion("cup_no <", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLessThanOrEqualTo(String value) {
            addCriterion("cup_no <=", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLike(String value) {
            addCriterion("cup_no like", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotLike(String value) {
            addCriterion("cup_no not like", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoIn(List<String> values) {
            addCriterion("cup_no in", values, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotIn(List<String> values) {
            addCriterion("cup_no not in", values, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoBetween(String value1, String value2) {
            addCriterion("cup_no between", value1, value2, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotBetween(String value1, String value2) {
            addCriterion("cup_no not between", value1, value2, "cupNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIsNull() {
            addCriterion("receiver_no is null");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIsNotNull() {
            addCriterion("receiver_no is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverNoEqualTo(String value) {
            addCriterion("receiver_no =", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotEqualTo(String value) {
            addCriterion("receiver_no <>", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoGreaterThan(String value) {
            addCriterion("receiver_no >", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_no >=", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLessThan(String value) {
            addCriterion("receiver_no <", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLessThanOrEqualTo(String value) {
            addCriterion("receiver_no <=", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLike(String value) {
            addCriterion("receiver_no like", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotLike(String value) {
            addCriterion("receiver_no not like", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIn(List<String> values) {
            addCriterion("receiver_no in", values, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotIn(List<String> values) {
            addCriterion("receiver_no not in", values, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoBetween(String value1, String value2) {
            addCriterion("receiver_no between", value1, value2, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotBetween(String value1, String value2) {
            addCriterion("receiver_no not between", value1, value2, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIsNull() {
            addCriterion("receiver_name is null");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIsNotNull() {
            addCriterion("receiver_name is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverNameEqualTo(String value) {
            addCriterion("receiver_name =", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotEqualTo(String value) {
            addCriterion("receiver_name <>", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameGreaterThan(String value) {
            addCriterion("receiver_name >", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_name >=", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLessThan(String value) {
            addCriterion("receiver_name <", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLessThanOrEqualTo(String value) {
            addCriterion("receiver_name <=", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLike(String value) {
            addCriterion("receiver_name like", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotLike(String value) {
            addCriterion("receiver_name not like", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIn(List<String> values) {
            addCriterion("receiver_name in", values, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotIn(List<String> values) {
            addCriterion("receiver_name not in", values, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameBetween(String value1, String value2) {
            addCriterion("receiver_name between", value1, value2, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotBetween(String value1, String value2) {
            addCriterion("receiver_name not between", value1, value2, "receiverName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameIsNull() {
            addCriterion("entrust_file_name is null");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameIsNotNull() {
            addCriterion("entrust_file_name is not null");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameEqualTo(String value) {
            addCriterion("entrust_file_name =", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameNotEqualTo(String value) {
            addCriterion("entrust_file_name <>", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameGreaterThan(String value) {
            addCriterion("entrust_file_name >", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("entrust_file_name >=", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameLessThan(String value) {
            addCriterion("entrust_file_name <", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameLessThanOrEqualTo(String value) {
            addCriterion("entrust_file_name <=", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameLike(String value) {
            addCriterion("entrust_file_name like", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameNotLike(String value) {
            addCriterion("entrust_file_name not like", value, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameIn(List<String> values) {
            addCriterion("entrust_file_name in", values, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameNotIn(List<String> values) {
            addCriterion("entrust_file_name not in", values, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameBetween(String value1, String value2) {
            addCriterion("entrust_file_name between", value1, value2, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFileNameNotBetween(String value1, String value2) {
            addCriterion("entrust_file_name not between", value1, value2, "entrustFileName");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathIsNull() {
            addCriterion("entrust_file_path is null");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathIsNotNull() {
            addCriterion("entrust_file_path is not null");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathEqualTo(String value) {
            addCriterion("entrust_file_path =", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathNotEqualTo(String value) {
            addCriterion("entrust_file_path <>", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathGreaterThan(String value) {
            addCriterion("entrust_file_path >", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathGreaterThanOrEqualTo(String value) {
            addCriterion("entrust_file_path >=", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathLessThan(String value) {
            addCriterion("entrust_file_path <", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathLessThanOrEqualTo(String value) {
            addCriterion("entrust_file_path <=", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathLike(String value) {
            addCriterion("entrust_file_path like", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathNotLike(String value) {
            addCriterion("entrust_file_path not like", value, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathIn(List<String> values) {
            addCriterion("entrust_file_path in", values, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathNotIn(List<String> values) {
            addCriterion("entrust_file_path not in", values, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathBetween(String value1, String value2) {
            addCriterion("entrust_file_path between", value1, value2, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andEntrustFilePathNotBetween(String value1, String value2) {
            addCriterion("entrust_file_path not between", value1, value2, "entrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameIsNull() {
            addCriterion("relieve_entrust_file_name is null");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameIsNotNull() {
            addCriterion("relieve_entrust_file_name is not null");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameEqualTo(String value) {
            addCriterion("relieve_entrust_file_name =", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameNotEqualTo(String value) {
            addCriterion("relieve_entrust_file_name <>", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameGreaterThan(String value) {
            addCriterion("relieve_entrust_file_name >", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("relieve_entrust_file_name >=", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameLessThan(String value) {
            addCriterion("relieve_entrust_file_name <", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameLessThanOrEqualTo(String value) {
            addCriterion("relieve_entrust_file_name <=", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameLike(String value) {
            addCriterion("relieve_entrust_file_name like", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameNotLike(String value) {
            addCriterion("relieve_entrust_file_name not like", value, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameIn(List<String> values) {
            addCriterion("relieve_entrust_file_name in", values, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameNotIn(List<String> values) {
            addCriterion("relieve_entrust_file_name not in", values, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameBetween(String value1, String value2) {
            addCriterion("relieve_entrust_file_name between", value1, value2, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFileNameNotBetween(String value1, String value2) {
            addCriterion("relieve_entrust_file_name not between", value1, value2, "relieveEntrustFileName");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathIsNull() {
            addCriterion("relieve_entrust_file_path is null");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathIsNotNull() {
            addCriterion("relieve_entrust_file_path is not null");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathEqualTo(String value) {
            addCriterion("relieve_entrust_file_path =", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathNotEqualTo(String value) {
            addCriterion("relieve_entrust_file_path <>", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathGreaterThan(String value) {
            addCriterion("relieve_entrust_file_path >", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathGreaterThanOrEqualTo(String value) {
            addCriterion("relieve_entrust_file_path >=", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathLessThan(String value) {
            addCriterion("relieve_entrust_file_path <", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathLessThanOrEqualTo(String value) {
            addCriterion("relieve_entrust_file_path <=", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathLike(String value) {
            addCriterion("relieve_entrust_file_path like", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathNotLike(String value) {
            addCriterion("relieve_entrust_file_path not like", value, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathIn(List<String> values) {
            addCriterion("relieve_entrust_file_path in", values, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathNotIn(List<String> values) {
            addCriterion("relieve_entrust_file_path not in", values, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathBetween(String value1, String value2) {
            addCriterion("relieve_entrust_file_path between", value1, value2, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andRelieveEntrustFilePathNotBetween(String value1, String value2) {
            addCriterion("relieve_entrust_file_path not between", value1, value2, "relieveEntrustFilePath");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andAuditStatusIsNull() {
            addCriterion("audit_status is null");
            return (Criteria) this;
        }

        public Criteria andAuditStatusIsNotNull() {
            addCriterion("audit_status is not null");
            return (Criteria) this;
        }

        public Criteria andAuditStatusEqualTo(Integer value) {
            addCriterion("audit_status =", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusNotEqualTo(Integer value) {
            addCriterion("audit_status <>", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusGreaterThan(Integer value) {
            addCriterion("audit_status >", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("audit_status >=", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusLessThan(Integer value) {
            addCriterion("audit_status <", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusLessThanOrEqualTo(Integer value) {
            addCriterion("audit_status <=", value, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusIn(List<Integer> values) {
            addCriterion("audit_status in", values, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusNotIn(List<Integer> values) {
            addCriterion("audit_status not in", values, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusBetween(Integer value1, Integer value2) {
            addCriterion("audit_status between", value1, value2, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andAuditStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("audit_status not between", value1, value2, "auditStatus");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIsNull() {
            addCriterion("reject_reason is null");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIsNotNull() {
            addCriterion("reject_reason is not null");
            return (Criteria) this;
        }

        public Criteria andRejectReasonEqualTo(String value) {
            addCriterion("reject_reason =", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotEqualTo(String value) {
            addCriterion("reject_reason <>", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonGreaterThan(String value) {
            addCriterion("reject_reason >", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonGreaterThanOrEqualTo(String value) {
            addCriterion("reject_reason >=", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLessThan(String value) {
            addCriterion("reject_reason <", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLessThanOrEqualTo(String value) {
            addCriterion("reject_reason <=", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLike(String value) {
            addCriterion("reject_reason like", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotLike(String value) {
            addCriterion("reject_reason not like", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIn(List<String> values) {
            addCriterion("reject_reason in", values, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotIn(List<String> values) {
            addCriterion("reject_reason not in", values, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonBetween(String value1, String value2) {
            addCriterion("reject_reason between", value1, value2, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotBetween(String value1, String value2) {
            addCriterion("reject_reason not between", value1, value2, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}